Search documentation of ExStreamClient

# ExStreamClient.Model.RecordingEgressConfig (ExStreamClient v0.1.10)

View Source

Schema representing a RecordingEgressConfig

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.RecordingEgressConfig{
      audio_only: boolean() | nil,
      composite_app_settings: ExStreamClient.Model.CompositeAppSettings.t() | nil,
      external_storage: ExStreamClient.Model.ExternalStorage.t() | nil,
      quality: ExStreamClient.Model.Quality.t() | nil,
      storage_name: String.t() | nil,
      video_orientation_hint: ExStreamClient.Model.VideoOrientation.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()